Gem::Specification.new do |s|
  s.name          = 'logstash-input-tcp'
  s.version       = ::File.read('version').split("\n").first
  s.licenses      = ['Apache License (2.0)']
  s.summary       = "Reads events from a TCP socket"
  s.description   = "This gem is a Logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/logstash-plugin install gemname. This gem is not a stand-alone program"
  s.authors       = ["Elastic"]
  s.email         = 'info@elastic.co'
  s.homepage      = "https://elastic.co/logstash"
  s.require_paths = ["lib", "vendor/jar-dependencies"]

  # Files
  s.files = Dir["lib/**/*","spec/**/*","*.gemspec","*.md","CONTRIBUTORS","Gemfile","LICENSE","NOTICE.TXT", "vendor/jar-dependencies/**/*.jar", "vendor/jar-dependencies/**/*.rb", "version", "docs/**/*"]

  # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "input" }

  # Gem dependencies
  s.add_runtime_dependency "logstash-core-plugin-api", ">= 1.60", "<= 2.99"
  s.add_runtime_dependency 'logstash-mixin-ecs_compatibility_support', '~>1.2'
  s.add_runtime_dependency 'logstash-mixin-normalize_config_support', '~>1.0'

  s.add_runtime_dependency 'logstash-core', '>= 8.1.0'

  # we depend on bouncycastle's bcpkix-jdk15on being on the class-path
  s.add_runtime_dependency 'jruby-openssl', '>= 0.12.2' # 0.12 supports TLSv1.3 

  # line vs streaming codecs required for fix_streaming_codecs
  # TODO: fix_streaming_codecs should be refactored to not
  # require the codecs to be installed.
  s.add_runtime_dependency 'logstash-codec-plain'
  s.add_runtime_dependency 'logstash-codec-line'
  s.add_runtime_dependency 'logstash-codec-json'
  s.add_runtime_dependency 'logstash-codec-json_lines'
  s.add_runtime_dependency 'logstash-codec-multiline'

  s.add_development_dependency 'logstash-devutils'
  s.add_development_dependency 'insist'
  s.add_development_dependency 'flores', '~> 0.0.6'
  s.add_development_dependency 'stud', '~> 0.0.22'
end
